<?php
$idpedido =$_GET["idpedido"];
$file = file_get_contents('pedido.txt'); //tu archivo a imprimir
$handle = printer_open("Xerox Phaser 3040");
printer_write($handle, $file);
printer_close($handle);
?>
<center><font size="+3">Imprimiendo... </font></center>

  <META HTTP-EQUIV="REFRESH" CONTENT="2;URL=imprimir.php?idpedido=<? echo $idpedido?>">